#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './generalsettings.ui'
**
** Created: fre nov 5 17:07:13 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "generalsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GeneralSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
GeneralSettings::GeneralSettings( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "GeneralSettings" );
    GeneralSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "GeneralSettingsLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    kcfg_startMinimized = new QCheckBox( groupBox3, "kcfg_startMinimized" );

    groupBox3Layout->addWidget( kcfg_startMinimized, 1, 0 );

    kcfg_logInAutomatic = new QCheckBox( groupBox3, "kcfg_logInAutomatic" );

    groupBox3Layout->addWidget( kcfg_logInAutomatic, 0, 0 );

    GeneralSettingsLayout->addWidget( groupBox3, 0, 0 );

    groupBox5 = new QGroupBox( this, "groupBox5" );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QGridLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    kcfg_logOutAtExit = new QCheckBox( groupBox5, "kcfg_logOutAtExit" );

    groupBox5Layout->addWidget( kcfg_logOutAtExit, 0, 0 );

    kcfg_askAutostart = new QCheckBox( groupBox5, "kcfg_askAutostart" );

    groupBox5Layout->addWidget( kcfg_askAutostart, 1, 0 );

    GeneralSettingsLayout->addWidget( groupBox5, 1, 0 );
    spacer1 = new QSpacerItem( 20, 60, QSizePolicy::Minimum, QSizePolicy::Expanding );
    GeneralSettingsLayout->addItem( spacer1, 2, 0 );
    languageChange();
    resize( QSize(351, 279).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GeneralSettings::~GeneralSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GeneralSettings::languageChange()
{
    groupBox3->setTitle( tr2i18n( "Start" ) );
    kcfg_startMinimized->setText( tr2i18n( "Start Konnect &minimized" ) );
    QToolTip::add( kcfg_startMinimized, tr2i18n( "Don't show the main widget when Konnect starts" ) );
    QWhatsThis::add( kcfg_startMinimized, tr2i18n( "With this option enabled, only the system tray will be shown when Konnect starts" ) );
    kcfg_logInAutomatic->setText( tr2i18n( "&Log in automatic when Konnect starts" ) );
    QToolTip::add( kcfg_logInAutomatic, tr2i18n( "If this is enabled, Konnect will try to login when you start the program next time" ) );
    groupBox5->setTitle( tr2i18n( "Quit" ) );
    kcfg_logOutAtExit->setText( tr2i18n( "Log &out when Konnect exits" ) );
    QToolTip::add( kcfg_logOutAtExit, tr2i18n( "Disconnect when the program (or KDE) exits" ) );
    QWhatsThis::add( kcfg_logOutAtExit, tr2i18n( "Disconnect when the program (or KDE) exits. This is useful if you use com hem." ) );
    kcfg_askAutostart->setText( tr2i18n( "&Ask if you want to autostart Konnect" ) );
    QToolTip::add( kcfg_askAutostart, tr2i18n( "Ask if you want to autostart Konnect when Konnect is exiting" ) );
    QWhatsThis::add( kcfg_askAutostart, tr2i18n( "At exit Konnect asks if you want to start the program when KDE starts." ) );
}

#include "generalsettings.moc"
