#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './intervalsettings.ui'
**
** Created: fre nov 5 17:07:16 2004
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "intervalsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a IntervalSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
IntervalSettings::IntervalSettings( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "IntervalSettings" );
    IntervalSettingsLayout = new QGridLayout( this, 1, 1, 11, 6, "IntervalSettingsLayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    textLabel2 = new QLabel( groupBox1, "textLabel2" );

    groupBox1Layout->addWidget( textLabel2, 1, 0 );

    kcfg_autoInterval = new KIntNumInput( groupBox1, "kcfg_autoInterval" );
    kcfg_autoInterval->setMinValue( 1 );

    groupBox1Layout->addWidget( kcfg_autoInterval, 1, 1 );

    kcfg_autoLogin = new QCheckBox( groupBox1, "kcfg_autoLogin" );

    groupBox1Layout->addMultiCellWidget( kcfg_autoLogin, 0, 0, 0, 1 );

    IntervalSettingsLayout->addWidget( groupBox1, 0, 0 );
    languageChange();
    resize( QSize(349, 137).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
IntervalSettings::~IntervalSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void IntervalSettings::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Login in an interval" ) );
    textLabel2->setText( tr2i18n( "Interval:" ) );
    kcfg_autoInterval->setSuffix( tr2i18n( " minutes" ) );
    QToolTip::add( kcfg_autoInterval, tr2i18n( "The log in-interval" ) );
    kcfg_autoLogin->setText( tr2i18n( "&Login after a couple of minutes" ) );
    QToolTip::add( kcfg_autoLogin, tr2i18n( "Re-log in so you don't get disconnected" ) );
    QWhatsThis::add( kcfg_autoLogin, tr2i18n( "Without this enabled, you will get disconnected after a while of inactivity." ) );
}

#include "intervalsettings.moc"
